Bulletin d'alerte Debian

DSA-4887-1 lib3mf -- Mise à jour de sécurité

Date du rapport :
8 avril 2021
Paquets concernés :
lib3mf
Vulnérabilité :
Oui
Références dans la base de données de sécurité :
Dans le système de suivi des bogues Debian : Bogue 985092.
Dans le dictionnaire CVE du Mitre : CVE-2021-21772.
Plus de précisions :

Une utilisation de mémoire après libération a été découverte dans Lib3MF, une implémentation en C++ du 3D Manufacturing Format, qui pourrait avoir pour conséquence l'exécution de code arbitraire lors de l'ouverture d'un fichier mal formé.

Pour la distribution stable (Buster), ce problème a été corrigé dans la version 1.8.1+ds-3+deb10u1.

Nous vous recommandons de mettre à jour vos paquets lib3mf.

Pour disposer d'un état détaillé sur la sécurité de lib3mf, veuillez consulter sa page de suivi de sécurité à l'adresse : https://security-tracker.debian.org/tracker/lib3mf.